Package org.opensaml.messaging.pipeline

# Class BasicMessagePipeline

java.lang.Object
org.opensaml.messaging.pipeline.BasicMessagePipeline

All Implemented Interfaces:
  `MessagePipeline`

Direct Known Subclasses:
  `BasicHttpClientMessagePipeline`, `BasicHttpServletMessagePipeline`

public class BasicMessagePipeline extends Object implements MessagePipeline
Basic implementation of `MessagePipeline`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private MessageDecoder`
`decoder`
Message decoder.
`private MessageEncoder`
`encoder`
Message encoder.
`private MessageHandler`
`inboundHandler`
Inbound message handler.
`private MessageHandler`
`outboundPayloadHandler`
Outbound payload message handler.
`private MessageHandler`
`outboundTransportHandler`
Outbound transport message handler.

## Constructor Summary

Constructors
Constructor
Description
`BasicMessagePipeline(MessageEncoder newEncoder, MessageDecoder newDecoder)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`MessageDecoder`
`getDecoder()`
Get the message decoder instance.
`MessageEncoder`
`getEncoder()`
Get the message encoder instance.
`MessageHandler`
`getInboundMessageHandler()`
Get the (optional) inbound message handler instance.
`MessageHandler`
`getOutboundPayloadMessageHandler()`
Get the (optional) outbound payload message handler instance.
`MessageHandler`
`getOutboundTransportMessageHandler()`
Get the (optional) outbound transport message handler instance.
`protected void`
`setDecoder(MessageDecoder newDecoder)`
Set the message decoder instance.
`protected void`
`setEncoder(MessageEncoder newEncoder)`
Set the message encoder instance.
`void`
`setInboundHandler(MessageHandler handler)`
Set the inbound message handler.
`void`
`setOutboundPayloadHandler(MessageHandler handler)`
Set the outbound payload message handler.
`void`
`setOutboundTransportHandler(MessageHandler handler)`
Set the outbound transport message handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### encoder

@Nonnull private MessageEncoder encoder
Message encoder.

### decoder

@Nonnull private MessageDecoder decoder
Message decoder.

### outboundPayloadHandler

@Nullable private MessageHandler outboundPayloadHandler
Outbound payload message handler.

### outboundTransportHandler

@Nullable private MessageHandler outboundTransportHandler
Outbound transport message handler.

### inboundHandler

@Nullable private MessageHandler inboundHandler
Inbound message handler.

## Constructor Details

### BasicMessagePipeline

public BasicMessagePipeline(@Nonnull MessageEncoder newEncoder, @Nonnull MessageDecoder newDecoder)
Constructor.

Parameters:
  `newEncoder` - the message encoder instance
  `newDecoder` - the message decoder instance

## Method Details

### getEncoder

@Nonnull public MessageEncoder getEncoder()
Get the message encoder instance.

Specified by:
  `getEncoder` in interface `MessagePipeline`
Returns:
  the message encoder

### setEncoder

protected void setEncoder(@Nonnull MessageEncoder newEncoder)
Set the message encoder instance.

Parameters:
  `newEncoder` - the new message encoder

### getDecoder

@Nonnull public MessageDecoder getDecoder()
Get the message decoder instance.

Specified by:
  `getDecoder` in interface `MessagePipeline`
Returns:
  the message decoder

### setDecoder

protected void setDecoder(@Nonnull MessageDecoder newDecoder)
Set the message decoder instance.

Parameters:
  `newDecoder` - the new message decoder

### getOutboundPayloadMessageHandler

@Nullable public MessageHandler getOutboundPayloadMessageHandler()
Get the (optional) outbound payload message handler instance.

This is the handler intended to be called on the outbound message context, prior to any message encoding.

Specified by:
  `getOutboundPayloadMessageHandler` in interface `MessagePipeline`
Returns:
  the outbound message handler, may be null

### setOutboundPayloadHandler

public void setOutboundPayloadHandler(@Nullable MessageHandler handler)
Set the outbound payload message handler.

Parameters:
  `handler` - the new handler

### getOutboundTransportMessageHandler

@Nullable public MessageHandler getOutboundTransportMessageHandler()
Get the (optional) outbound transport message handler instance.

This is the handler intended to be called after `MessageEncoder.prepareContext()`, but before `MessageEncoder.encode()`.

Specified by:
  `getOutboundTransportMessageHandler` in interface `MessagePipeline`
Returns:
  the outbound message handler, may be null

### setOutboundTransportHandler

public void setOutboundTransportHandler(@Nullable MessageHandler handler)
Set the outbound transport message handler.

Parameters:
  `handler` - the new handler

### getInboundMessageHandler

@Nullable public MessageHandler getInboundMessageHandler()
Get the (optional) inbound message handler instance.

Specified by:
  `getInboundMessageHandler` in interface `MessagePipeline`
Returns:
  the inbound message handler, may be null

### setInboundHandler

public void setInboundHandler(@Nullable MessageHandler handler)
Set the inbound message handler.

Parameters:
  `handler` - the new handler